From 8f79bf35bdf24ead3f81c8109be186d8f009ba0a Mon Sep 17 00:00:00 2001
From: Felix Eckhofer <felix@eckhofer.com>
Date: Mon, 30 Dec 2024 15:21:26 +0100
Subject: [PATCH] Add build helper script

---
 build-and-push.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)
 create mode 100755 build-and-push.sh

diff --git a/build-and-push.sh b/build-and-push.sh
new file mode 100755
index 0000000..2993fcd
--- /dev/null
+++ b/build-and-push.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -eEuo pipefail
+
+[ -z "$(git status --porcelain)" ] || {
+  echo "uncommited changes, clean up first"
+  exit 1
+}
+docker build -t registry.git.cccv.de/c3lingo/rescheduled:latest .
+echo "Build done."
+docker push registry.git.cccv.de/c3lingo/rescheduled:latest
+echo "Push done."
-- 
GitLab